Bug 5855 - service not started on system with udev daemon, package must provided /etc/udev/rules.d/lirc.rules
: service not started on system with udev daemon, package must provided /etc/ud...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lirc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-11 11:03 by
Modified: 2009-11-14 01:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-11 11:03:51
When using sysfs together with the udev daemon you should copy the lirc.rules
file located in the contrib directory of the source package to
/etc/udev/rules.d/. This will make sure that the device node will be created.
------- Comment #1 From 2005-01-11 11:36:37 -------
(In reply to comment #0)
> When using sysfs together with the udev daemon you should copy the lirc.rules
> file located in the contrib directory of the source package to
> /etc/udev/rules.d/. This will make sure that the device node will be created.

Не помогло, однако. Вообще, подозрительно, что тарболл в нашем пакете
lirc-0.7.0-alt4 отличается от такового на сайте производителя и lirc.rules в нем
нет.
------- Comment #2 From 2005-05-03 13:20:41 -------
Кстати, вот: http://linux.bytesex.org/v4l2/faq.html#ir - относится ко всем 2.6
ядрам. 

В текущей конфигурации нет способа указать опции для запуска lircd.  Нужен
/etc/sysconfig/lircd...

А по поводу udev:

# grep -r lirc /etc/udev
/etc/udev/rules.d/01-devfs.rules:KERNEL="lirc",         SYMLINK="lirc/lirc%n"
/etc/udev/rules.d/01-devfs.rules:KERNEL="lirc[1-9]",    SYMLINK="lirc/%k"
------- Comment #3 From 2007-03-19 01:38:44 -------
Эта бага еще актуальна?
------- Comment #4 From 2009-11-14 01:03:28 -------
Давно FIXED